Segment 8 Parametrierung und Konfiguration (PuK), SWE 8.2 Parametrierung                                                      
========================================================================

## Übersicht

Die Parametrierung ein Modul innerhalb des Datenverteilersystems
zur Verfügung, mit dem die Parametrierbaren Attributgruppen der
konfigurtoerten Systemobjekte zur Verfügung gestellt werden.

Das Modul wird mit den üblichen Startparametern für Datenverteilerapplikationen
gestartet.

Die Klasse zum Starten des Moduls ist:
	de.bsvrz.puk.param.param.ParamApp

Zusätzliche optionale Parameter:
	-persistenz <name>			das Verzeichnis, in dem die Parameterdaten persistent
								gespeichert werden.
								Der Standardwert ist:
	-persistenzModul <name>		das Modul zur Realisierung der Persistenz.
								Das Modul muss die Schnittstelle "de.bsvrz.puk.param.param.Persistenz"
								implementieren.
								Die Standardeinstellung ist: "de.bsvrz.puk.param.param.FilePersistenz"
	-parametrierung	<pid>		die PID des Systemobjekts, welches die Parametrierung innerhalb des
								Datenverteiler repräsentiert.
								Standard ist der lokale Konfigurationsverantwortliche.

    -oldDefault	 				wenn der Parameter gesetzt ist, werden die Standardparameter, die unter dem
    							Aspekt "asp.parameterDefault" konfiguriert sind mit einbezogen.
    							
    -waitForSettingsManager		bestimmt, ob die Fertigmeldung der Parametrierung erst erfolgt, 
                                wenn der SettingsManager die erste Auswertung des Paramtrierungsdatensatzes 
                                geliefert hat (Standard: true)
    
Zur Ausführung der Softwareeinheit sind neben den Kernsoftware-Bibliotheken folgende zusätzliche
Bibliotheken bzw. Softwareeinheiten erforderlich:
	de.bsvrz.sys.funclib.bitctrl
				Allgemeine Funktionen


## Disclaimer

Segment 8 Parametrierung und Konfiguration, SWE 8.2 Parametrierung

Copyright (C) 2007 BitCtrl Systems GmbH

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51
Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


## Kontakt

BitCtrl Systems GmbH<br>
Weißenfelser Straße 67<br>
04229 Leipzig<br>
Phone: +49 341-490670<br>
mailto: info@bitctrl.de<br>
